ImportError: No module named ‘_gdbm’ error while installing any package via pip/conda

I have been getting the following error while downloading anything with Conda or pip, for e.g. Numpy, Pandas, Pytorch etc. – Traceback (most recent call last): File “/usr/lib/python3.5/dbm/gnu.py”, line 4, in from _gdbm import * ImportError: No module named ‘_gdbm’ During handling of the above exception, another exception occurred: Traceback (most recent call last): File…

_tkinter.TclError: invalid command name “pyimage2”

I want to get street networks, building footprints, and plot them.I coded this: def make_plot(place, point, network_type=’drive’, bldg_color=’orange’, dpi=40, dist=805, default_width=4, street_widths=None): gdf = ox.footprints.footprints_from_point(point=point, distance=dist) fig, ax = ox.plot_figure_ground(point=point, dist=dist, network_type=network_type, default_width=default_width, street_widths=street_widths, save=False, show=False, close=True) fig, ax = ox.footprints.plot_footprints(gdf, fig=fig, ax=ax, color=bldg_color, set_bounds=False, save=True, show=False, close=True, filename=place, dpi=dpi) place = ‘portland_buildings’ point =…

(Ubuntu 18.04LTS) VNC connection results in grey screen, but nautilus works

Firstly I have installed the following packages: sudo apt-get install –no-install-recommends ubuntu-desktop gnome-panel gnome-settings-daemon metacity nautilus gnome-terminal Then I configured ~/.vnc/xstartup as: # Uncomment the following two lines for normal desktop: # unset SESSION_MANAGER # exec /etc/X11/xinit/xinitrc [ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup [ -r $HOME/.Xresources ] && xrdb $HOME/.Xresources xsetroot -solid grey vncconfig…

Python writing into a mapped file – strange behaviour

I have a Python script that can successfully write binary data to a file: iterable_array = [i + 32 for i in range(50)] file_handle = open(“a.bin”, “wb”) bytes_to_write = bytearray(iterable_array) file_handle.write(bytes_to_write) file_handle.close() However, I get the following error: Traceback (most recent call last): File “python_100_chars.py”, line 20, in <module> file_handle = open(“a.bin”, “wb”) OSError: [Errno…

AzureML Deployment with existing keras model (Computer Vision)

Hey guy’s I’ve built a Tensorflow/keras model, and I want to deploy it using AzureML Service and use it in certain architecture. This is where I got the tutorial from https://docs.microsoft.com/bs-latn-ba/azure/machine-learning/service/how-to-deploy-existing-model, but it seems like what ever I do the docker container takes long health checks and fails eventually. the code import azureml.core from azureml.core.model…

No module psycopg2 error while running ‘sudo apt-get upgrade’

After this operation, 0 B of additional disk space will be used. Do you want to continue? [Y/n] y Setting up pgadmin4-apache2 (4.13-1.pgdg18.04+1) … Traceback (most recent call last): File “setup.py”, line 413, in setup_db() File “setup.py”, line 347, in setup_db app = create_app() File “/usr/share/pgadmin4/web/pgadmin/__init__.py”, line 400, in create_app driver.init_app(app) File “/usr/share/pgadmin4/web/pgadmin/utils/driver/__init__.py”, line 40,…

Google cloud Speech Recognition library

i am using Google cloud Speech Recognition library to convert my voice into text. it is working correctly but when it didn’t listen to something for some time it through the following error. Traceback (most recent call last): File “<ipython-input-5-c879bb27fe9b>”, line 1, in <module> runfile(‘C:/Users/MrWD/Desktop/Soeech Recognition.py’, wdir=’C:/Users/MrWD/Desktop’) File “C:\Users\MrWD\AppData\Local\Programs\Python\Anaconda\lib\site-packages\spyder_kernels\customize\spydercustomize.py”, line 827, in runfile execfile(filename, namespace)…